# norootforbuild
%define pkg_name    geoip
%define php_version %(php-config --version 2>/dev/null)
#
Name:		php5-geoip
Version:	1.1.0
Release:	6.4
License:	PHP
Group:		Productivity/Networking/Web/Servers
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	GeoIP >= 1.5.1 GeoIP-devel >= 1.5.1
BuildRequires:	php5-devel
BuildRequires:	re2c
Requires:	php5 = %{php_version}
URL:		http://pecl.php.net/geoip
Source:		http://pecl.php.net/package/geoip/%{pkg_name}-%{version}.tgz
Patch0:		geoip-1.1.0_oldauto.patch
Summary:	PHP module for MaxMind GeoIP libraries

%description

This PHP extension allows you to find the location of an IP address - City, State,
Country, Longitude, Latitude, and other information as all, such as ISP and connection type.
For more info, please visit Maxmind's website.

Authors:
---------

  	Olivier Hill <ohill@php.net>

%prep
%setup -q -n %{pkg_name}-%{version}
%patch -p3

%build

%{__mkdir} %{name}

/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
%endif

export CFLAGS

../configure --with-geoip=%{_usr} --with-libdir=%{_lib} || cat config.log

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable geoip extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/geoip.ini
echo 'extension = geoip.so' >> %{buildroot}%{_sysconfdir}/php5/conf.d/geoip.ini
echo 'geoip.database_standard = /usr/share/GeoIP/GeoIP.dat' >> %{buildroot}%{_sysconfdir}/php5/conf.d/geoip.ini


%clean

%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/geoip.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/geoip.ini

%doc README ChangeLog

%changelog
* Thu May  1 2014 cs@linux-administrator.com
- update to release 1.1.0 (beta)
  * Add geoip_setup_custom_directory() to setup custom directories per request.
  * Remove E_NOTICES for IPs not found in database.
  * Fix a segfault with geoip_db_get_all_info() on newer libs (bug #64692).
  * Add support for geoip_netspeedcell_by_name(), geoip_asnum_by_name() and geoip_domain_by_name() (bug #67121).
  * Fix memory leak with custom directories (bug #67138).
  * Support changing custom directory via ini_set() (bug #61607).
